clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ento::ExprEngine::EvalCallOptions Struct Reference

Hints for figuring out of a call should be inlined during evalCall(). More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/ExprEngine.h"`

Collaboration diagram for clang::ento::ExprEngine::EvalCallOptions:
[legend]

## Public Member Functions
| EvalCallOptions ()

## Public Attributes
bool | IsCtorOrDtorWithImproperlyModeledTargetRegion = false
| This call is a constructor or a destructor for which we do not currently compute the this-region correctly. More...
bool | IsArrayCtorOrDtor = false
| This call is a constructor or a destructor for a single element within an array, a part of array construction or destruction. More...
bool | IsTemporaryCtorOrDtor = false
| This call is a constructor or a destructor of a temporary value. More...
bool | IsTemporaryLifetimeExtendedViaAggregate = false
| This call is a constructor for a temporary that is lifetime-extended by binding it to a reference-type field within an aggregate, for example 'A { const C }; A a = { C() };'. More...

## Detailed Description

Hints for figuring out of a call should be inlined during evalCall().

Definition at line 96 of file ExprEngine.h.

## Constructor & Destructor Documentation

## ◆ EvalCallOptions()

clang::ento::ExprEngine::EvalCallOptions::EvalCallOptions | ( |  | ) |
| inline

Definition at line 113 of file ExprEngine.h.

## Member Data Documentation

## ◆ IsArrayCtorOrDtor

bool clang::ento::ExprEngine::EvalCallOptions::IsArrayCtorOrDtor = false

This call is a constructor or a destructor for a single element within an array, a part of array construction or destruction.

Definition at line 103 of file ExprEngine.h.

Referenced by clang::ento::ExprEngine::bindReturnValue(), clang::ento::ExprEngine::CreateCXXTemporaryObject(), clang::ento::ExprEngine::ProcessAutomaticObjDtor(), clang::ento::ExprEngine::ProcessDeleteDtor(), clang::ento::ExprEngine::ProcessMemberDtor(), clang::ento::ExprEngine::ProcessTemporaryDtor(), and clang::ento::ExprEngine::VisitCXXConstructExpr().

## ◆ IsCtorOrDtorWithImproperlyModeledTargetRegion

bool clang::ento::ExprEngine::EvalCallOptions::IsCtorOrDtorWithImproperlyModeledTargetRegion = false

This call is a constructor or a destructor for which we do not currently compute the this-region correctly.

Definition at line 99 of file ExprEngine.h.

Referenced by clang::ento::ExprEngine::bindReturnValue(), clang::ento::ExprEngine::CreateCXXTemporaryObject(), and clang::ento::ExprEngine::VisitCXXConstructExpr().

## ◆ IsTemporaryCtorOrDtor

bool clang::ento::ExprEngine::EvalCallOptions::IsTemporaryCtorOrDtor = false

This call is a constructor or a destructor of a temporary value.

Definition at line 106 of file ExprEngine.h.

Referenced by clang::ento::ExprEngine::bindReturnValue(), clang::ento::ExprEngine::CreateCXXTemporaryObject(), and clang::ento::ExprEngine::ProcessTemporaryDtor().

## ◆ IsTemporaryLifetimeExtendedViaAggregate

bool clang::ento::ExprEngine::EvalCallOptions::IsTemporaryLifetimeExtendedViaAggregate = false

This call is a constructor for a temporary that is lifetime-extended by binding it to a reference-type field within an aggregate, for example 'A { const C }; A a = { C() };'.

Definition at line 111 of file ExprEngine.h.

Referenced by clang::ento::ExprEngine::bindReturnValue(), and clang::ento::ExprEngine::CreateCXXTemporaryObject().

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/ExprEngine.h